html,
body {
	margin: 0;
	padding: 0;
	height: 100%;
	cursor: default;
	-webkit-user-select: none;
}

body,
input,
select {
	font-family: "Open Sans", arial, sans-serif;
	font-size: 11pt;
	font-weight: 400;
}

hr {
    border: none;
    height: 2px;
    background-color: #F8F8F8;
    margin: 5px 0 10px;
    display: inline-block;
    width: 100%;
}

/** PRINT WIDGET */
.print-hidden.full {
	display: none;
}

/** BACKGROUND WIDGET */
.background-widget {
	background: #dcdcdc;
	background: linear-gradient(to bottom, #dcdcdc 0%, #e8e8e8 100%);
	min-height: 100%;
	display: inline-block;
	width: 100%;
}

/** PAPER WIDGET */
.paper-widget {
	border: 3px rgba(0, 0, 0, 0.19) solid;
	border-radius: 5px;
	box-shadow: 0 0 0 5px rgba(0, 0, 0, 0.01);
	background: #fcfcfc;
	width: 960px;
	margin: 5px auto;
	height: auto;
	min-height: 640px;
	box-sizing: border-box;
	-moz-box-sizing: border-box;
	-ms-box-sizing: border-box;
}
.paper-padding {
	padding: 15px 20px;
	-webkit-user-select: initial;
}

.paper-page {
    margin: 0 auto 15px;
    padding: 15px 20px;
    background: white;
    border: 1px #F0F0F0 solid;
    border-radius: 5px;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.03);
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -ms-box-sizing: border-box;
}
.paper-page.centered {
    margin: 50px auto;
    width: 420px;
}

.paper-title {
    font-size: 12pt;
    font-weight: bold;
    margin-bottom: 15px;
}
.paper-subtitle {
    font-size: 10pt;
    font-weight: bold;
    margin-top: 25px;
    margin-bottom: 10px;
}
.paper-subtitle:first-child {
	margin-top: 0;
}
.paper-para {
	padding-left: 20px;
    margin-bottom: 15px;
}

/** BRAND WIDGET */
.brand-widget {
    background: white;
    padding: 15px 20px;
    border-bottom: 1px #F7F7F7 solid;
}

.brand-image {
    float: left;
    width: 90px;
    height: 90px;
    background: white url("images/brand-image.png") center center no-repeat;
    margin-right: 15px;
    border: 1px #F7F7F7 solid;
    border-radius: 5px;
}
.brand-title {
	font-family: "Exo";
    font-size: 14pt;
    font-weight: 600;
}
.brand-description {
    font-size: 9pt;
    color: #CCC;
}

.brand-helper {
    height: 40px;
}

/** USER WIDGET */
.user-widget {
    float: right;
    white-space: nowrap;
}

.user-gravatar {
    width: 37px;
    height: 37px;
    background: #FFF;
    float: left;
    border: 1px #F7F7F7 solid;
    margin-right: 5px;
}

.user-container {
    display: inline-block;
    padding: 5px;
}
.user-fullname {
    font-size: 10.5pt;
    font-weight: bold;
}

.user-action {
    float: right;
    font-size: 8pt;
    color: #383863;
    cursor: pointer;
    margin-left: 5px;
    text-decoration: none;
}
.user-action.logout {
    color: #D10000;
}

.user-action:hover {
    color: red;
}
.user-action:active {
    color: #A80000;
}

.user-sex {
	display: inline-block;
	width: 16px;
	height: 16px;
	vertical-align: sub;
	margin: 0 2px;
}
.user-sex.male {
	background-image: url("images/icon-male.png");
}
.user-sex.female {
	background-image: url("images/icon-female.png");
}

.user-browser {
	display: inline-block;
	width: 16px;
	height: 16px;
	vertical-align: sub;
	margin: 0 2px;
	background-image: url("images/icon-browser.png");
}

/** FORM WIDGET */
.form-widget {
    padding-top: 15px;
    display: inline-block;
    width: 100%;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -ms-box-sizing: border-box;
}

.form-box {
    margin-bottom: 10px;
    display: inline-block;
    width: 100%;
}

.form-box.checkbox {
	padding: 5px 15px;
	padding-left: 25px;
	display: block;
	margin-top: 5px;
}
.form-box.checkbox > * {
	vertical-align: top;
}

.form-box-title {
    padding: 0 10px;
    font-size: 10pt;
    font-weight: bold;
}

.form-input {
    width: 100%;
    padding: 5px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -ms-box-sizing: border-box;
}

.form-input.textarea {
	resize: vertical;
}

.form-input.text {
    padding: 5px 10px;
}
.form-input.text[readonly] {
	background-color: #FAFAFA;
}

.form-input.checkbox {
	display: inline-block;
	width: auto;
	margin: 0;
}
.form-input.checkbox + .form-box-title {
	display: inline-block;
	font-weight: normal;
	padding: 0;
	padding-left: 5px;
}

.form-input.submit {
    padding: 8px 0;
    font-weight: bold;
    font-size: 12pt;
    cursor: pointer;
    outline: none;
}
.form-input.submit:hover {
    border-color: #CACACA;
    background-color: #EEEEEE;
}
.form-input.submit:active {
    border-color: #AFAFAF;
    background-color: #E6E6E6;
}

.form-input.select > option {
	padding: 5px;
}

.form-star {
	font-family: Consolas;
	color: red;
}

/** MESSAGE WIDGET */
.message-item {
    padding: 5px 15px;
    background-color: #FDFDFD;
    border: 1px #E9E9E9 solid;
    border-radius: 5px;
    margin-bottom: 5px;
    font-size: 10pt;
}
.message-item.ok {
    background-color: #EAFFF0;
    border-color: #CDEED3;
    color: #00680D;
}
.message-item.error {
    background-color: #FFF2F2;
    border-color: #D8B8B8;
    color: #9C0000;
}

/** OPTIONS WIDGET */
.options-widget {
    margin: 0;
    list-style: none;
    background-color: #F5F5F5;
    padding: 5px;
    border: 1px #E0E0E0 solid;
    border-radius: 5px;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.06);
}

.options-box {
    margin-bottom: 5px;
}
.options-box:last-child {
	margin-bottom: 0;
}
.options-button {
    position: relative;
    padding: 10px 20px 10px 35px;
    display: inline-block;
    border: 1px #E9E9E9 solid;
    border-radius: 5px;
    width: 100%;
    background: white;
    color: #007;
    text-decoration: none;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -ms-box-sizing: border-box;
}
.options-button:before {
    content: "\25BA";
    position: absolute;
    left: 15px;
    color: #DDD;
}
.options-button:hover {
    color: red;
}
.options-button:hover:before {
    color: gray;
    transform: scale(1.5);
}
.options-button:active {
	color: darkred;
}

/** HEADER WIDGET */
.header-subtitle {
	margin: 0 0 0 20px;
	font-size: 10pt;
	color: gray;
}
.header-subtitle strong {
	font-weight: normal;
	color: black;
}

/** QUESTION WIDGET */
.question-widget {
	font-size: 10.5pt;
	margin: 10px 0;
}

.question-warning {
	display: block;
	margin: 15px 20px;
	color: gray;
}

.question-widget .question-item {
	padding: 10px 10px;
	background-color: #FAFAFA;
	display: -webkit-box;
	display: flex;
	margin: 2px 0;
	page-break-inside: avoid;
	page-break-after: auto;
}
.question-widget .question-item:nth-child(odd) {
	background-color: #FCFCFC;
}
.question-widget .question-item:hover {
	background-color: #F0F0F0;
}

.question-widget .question-display {
	display: none;
}
.question-widget .question-display.important,
.question-widget .question-display.show {
	display: -webkit-box !important;
	display: flex !important;
}

.question-number {
	color: silver;
	text-align: right;
	flex: 1 auto;
	-webkit-box-flex: 1;
	min-width: 30px;
	max-width: 30px;
	margin-right: 10px;
}

.question-content,
.question-flex {
    flex: 1 auto;
	-webkit-box-flex: 1;
    padding-right: 10px;
}

.question-title {
	margin-bottom: 5px;
	display: block;
	font-weight: bold;
}

.question-title-user {
	margin-right: 5px;
	float: left;
	vertical-align: top;
}
.question-title-infos {
	margin-right: 5px;
	vertical-align: top;
}

.question-reply {
	color: gray;
	padding: 0 20px 5px;
}
.question-reply:empty {
	display: none;
}

.question-pending {
	color: darkred;
	padding: 0 20px 5px;
}
.question-pending.blue {
	color: blue;
}
.question-pending > strong {
	color: black;
}

.question-info {
    flex: 1 auto;
    min-width: 70px;
    max-width: 70px;
    border-left: 2px white solid;
    padding-left: 20px;
    align-self: center;
}

.question-show {
	color: darkblue;
	text-decoration: none;
	margin-bottom: 15px;
}
.question-show:hover {
	color: red;
}

.question-result-clock,
.question-result-changed {
	width: 30px;
	height: 16px;
	padding: 3px 5px 3px 20px;
	font-size: 10pt;
	background: url("images/result-clock.png") 0 center no-repeat;
	line-height: 8px;
	margin: 3px 0;
}
.question-result-changed {
	width: 18px;
	background-image: url("images/result-changed.png");
}

.question-important {
	border-left: 3px #FF7E7E solid;
	margin-left: -3px !important;
}
.question-important .question-number {
	font-weight: bold;
}
.question-important .question-number,
.question-important .question-reply {
	color: red;
}

.question-hidden {
	display: none;
	color: gray;
	font-size: 8.5pt;
	font-style: italic;
	margin-bottom: 15px;
}

.question-marker {
	margin-top: 25px !important;
}
.question-marker.question-item {
	background-color: inherit !important;
}

/** REPORT WIDGET */
.report-title {
    text-align: center;
    margin: 20px 0;
}
.report-subtitle {
    font-weight: 600;
    text-align: left;
    margin: 20px 0;
}

.report-user-details {
    padding: 30px 40px;
    margin: 0 0 10px;
    background-color: #FCFCFC;
    border: 1px #F3F3F3 solid;
}
.report-user-details strong {
	display: inline-block;
	width: 180px;
	margin-right: 10px;
	text-align: right;
	font-weight: 600;
}
.report-user-details strong + span {
    display: inline-block;
    width: 550px;
}

.report-signature {
	float: right;
	margin: 5px 0;
}

.report-bg-green td {
	background-color: #D9EACA;
}
.report-bg-yellow td {
	background-color: #fefdd5;
}
.report-bg-red td {
	background-color: #fed1cf;
}
.report-bg-blue td {
	background-color: #c0edfe;
}

/** REPORT GRAPH WIDGET */
.report-graph-widget {
    float: left;
    overflow: hidden;
    width: 50%;
    margin: 5px 0;
}
.report-graph-widget .highcharts-container {
	margin: 0 auto;
}

/** TABLE WIDGET */
.table-widget {
	width: 100%;
	margin: 5px 0;
	display: block;
}
.table-widget tbody,
.table-widget thead {
	margin-top: -2px;
	border: 2px #000 solid;
	page-break-inside: avoid;
    display: block;
}
.table-widget tbody:first-child,
.table-widget thead:first-child {
	margin-top: 0;
}
.table-widget tr {
	display: -webkit-box;
    display: flex;
	border-top: 1px black solid;
}
.table-widget tr:first-child {
	border-top: none;
}
.table-widget th {
    text-align: left;
}
.table-widget th,
.table-widget td {
	-webkit-box-flex: 1;
    flex: 1 50%;
    padding: 2px 10px;
    width: 10%;
	display: block;
}